View Issue Details

IDProjectCategoryView StatusLast Update
0001225Industrial-Craft²general / otherpublic2014-08-13 13:10
ReporterRawCodeAssigned ToPlayer 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionBuilds for MC 1.7.10 
Target VersionFixed in Version 
Summary0001225: liquid placement for cells disallow to fill buildcraft tanks
Descriptioninstead of filling tank, liquid is placed neaby.
TagsNo tags attached.
Minecraft Version

Activities

RawCode

2014-08-07 11:30

reporter   ~0003054

Last edited: 2014-08-07 11:33

View 3 revisions

AND still adding liquid to tank, allowing to dupe anything.

actually does not dupe, simply any click counted as both placement in world and injection into tank.

engines work without issue, only glass tanks are affected.

RawCode

2014-08-07 11:35

reporter   ~0003055

TMP fix is to place sign on tank, this will disallow liquid placement in world (since nowhere to place) and will inject liquid into tank without any issue

Player

2014-08-07 12:29

administrator   ~0003060

This seems to be just a sync bug, the server side simulates it fine?

Universal or single-use cell?

RawCode

2014-08-07 13:45

reporter   ~0003067

universal cells, not tested with single use.

SMP only tested.

World updates correctly - cause damage to redstone and torches, liquid visible for other players.

Also this allows to spil steam and other not expected to be placed liquid with odd behaivior.

also this allows to place liquid in odd positions, like trying to inject cell by standing on top of the tank may place block of liquid BELOW tank, ever below blocks tank standing on.

Extered

2014-08-07 13:49

reporter   ~0003068

Last edited: 2014-08-07 13:50

View 2 revisions

Single-use cells are acting in the same way. Tested in singleplayer

Player

2014-08-07 15:47

administrator   ~0003074

Any changes with build 573?

SirKastros

2014-08-07 18:02

reporter   ~0003076

Last edited: 2014-08-07 18:06

View 2 revisions

speaking of fluids the steam heater and steam turbine allow ic2disiledwater to be duped when draining them with universal fluid cells. this was not the case in build 559 the build that is doing it in is build 571. I will check with build 573 to see if the same issue is still there.

SirKastros

2014-08-07 18:18

reporter   ~0003077

Last edited: 2014-08-08 13:00

View 4 revisions

The fluid goes in a buildcraft tank fine as well with no duping.
Test done on single player.

SirKastros

2014-08-07 18:26

reporter   ~0003078

Last edited: 2014-08-07 18:32

View 3 revisions

Spoke to soon moved the universal cells in inventory the cells change back to full ones after putting fluid in BC tank or any fluid excepting block. this is on build 573 in SSP.

SirKastros

2014-08-08 12:54

reporter   ~0003085

Last edited: 2014-08-08 13:33

View 3 revisions

Build 575 fixed the universal cell fluid dupe issue with moving universal cells inventory.

Thanks Player

SirKastros

2014-08-08 13:14

reporter   ~0003086

Last edited: 2014-08-08 13:41

View 4 revisions

moved distilled water dupe in steam generator and steam turbine to issue 1231

Issue History

Date Modified Username Field Change
2014-08-07 11:29 RawCode New Issue
2014-08-07 11:30 RawCode Note Added: 0003054
2014-08-07 11:32 RawCode Note Edited: 0003054 View Revisions
2014-08-07 11:33 RawCode Note Edited: 0003054 View Revisions
2014-08-07 11:35 RawCode Note Added: 0003055
2014-08-07 12:29 Player Note Added: 0003060
2014-08-07 12:29 Player Assigned To => Player
2014-08-07 12:29 Player Status new => assigned
2014-08-07 13:45 RawCode Note Added: 0003067
2014-08-07 13:49 Extered Note Added: 0003068
2014-08-07 13:50 Extered Note Edited: 0003068 View Revisions
2014-08-07 15:47 Player Note Added: 0003074
2014-08-07 18:02 SirKastros Note Added: 0003076
2014-08-07 18:06 SirKastros Note Edited: 0003076 View Revisions
2014-08-07 18:18 SirKastros Note Added: 0003077
2014-08-07 18:20 SirKastros Note Edited: 0003077 View Revisions
2014-08-07 18:23 SirKastros Note Edited: 0003077 View Revisions
2014-08-07 18:26 SirKastros Note Added: 0003078
2014-08-07 18:28 SirKastros Note Edited: 0003078 View Revisions
2014-08-07 18:32 SirKastros Note Edited: 0003078 View Revisions
2014-08-08 12:54 SirKastros Note Added: 0003085
2014-08-08 13:00 SirKastros Note Edited: 0003077 View Revisions
2014-08-08 13:14 SirKastros Note Added: 0003086
2014-08-08 13:15 SirKastros Note Edited: 0003086 View Revisions
2014-08-08 13:31 SirKastros Note Edited: 0003086 View Revisions
2014-08-08 13:32 SirKastros Note Edited: 0003085 View Revisions
2014-08-08 13:33 SirKastros Note Edited: 0003085 View Revisions
2014-08-08 13:41 SirKastros Note Edited: 0003086 View Revisions
2014-08-13 13:10 Player Status assigned => resolved
2014-08-13 13:10 Player Resolution open => fixed